@keyframes wiggle{
        0% {
        transform: rotate(-2.5deg);
        }
         
        10% {
        transform: rotate(3.5deg);
        }
         
        30% {
        transform: rotate(-7deg);
        }
         
        50%, 100& {
        transform: rotate(0deg);
        }
    }

@keyframes jerky {
        0% {
        transform: rotate(2deg);
        }

        50% {
        transform: rotate(2deg);
        }

        51% {
        transform: rotate(-2deg);
        }

        100% {
        transform: rotate(-2deg);
        }
    }    

* { box-sizing: border-box; }

html{ 
    background-image: url("images/bg_pinkcherry.gif");
    background-size: 7%;
    font-family: "ms pgothic";
    overflow-x: hidden;
    scrollbar-color: #ffd4e5 #ffffff;
    }

body{ 
    width: 950px; 
    position: relative; 
    margin: 10px auto;
    }

#bigbox{ display: flex; 
	flex-flow: row nowrap; 
	gap: 0.5em; 
	width: 100%; 
	height: 610px; 
	position: relative; 
	margin: auto;
	}

.page{ display: none; 
    padding: 0;
    margin: 0;
    }
.defaultOpen{ display: block; }

header{ 
    text-align: center;
	filter: drop-shadow(2px 2px #ff6faf);
	}

main{ width: 500px; }

sidebar, .middle{ border: #ff6faf 3px solid;
    border-radius: 20px;
    background: rgba(255,255,255,1);
    background-clip: padding-box;
    filter: drop-shadow(2px 2px #ff6faf);
    overflow: scroll;
    }

.middle{ padding: 0px 12px 5px 15px; 
    margin: 0;
    height: 610px;
    }
#home{ height: 600px;
    }
#home .middle{ max-height: 50%;
    overflow: scroll;
    }
#webrings{
    margin: 10px;
    max-height: 30%;
    overflow: scroll;
}

/* microblog */
#microblog{ margin-top: 10px; }
#microblogmain{ 
    display: flex;
    flex-flow: row wrap;
    }  
    
.microbox{ position: relative;
    background-color: white;
    border: 3px solid;
    border-top-left-radius: 20px;
    box-shadow: 3px 3px rgb(51,124,208);
    margin: 10px;
    padding: 10px;
    width: 100%;
    font-size:92%;
    }
  
.microbox p{ 
    margin: 5px;
    }
    
.micropic img{
    max-width: 90px;
    max-height:90px;
    float: left;
    margin-right: 10px;
    }     

.microdate{ position: absolute;
    bottom: -14px;
    right: 2px;
    }

.entryDate mark{
    color: white;
    background-color: black;
    padding: 0 4px; 
    }

#left{ width: 200px; 
	text-align: left; 
	}
#navi ul{ list-style-type: none; 
	padding-left: 0; 
	margin: 0 auto;
	}
#navi ul li{
	margin: 2.5px 0px 2.5px 0px;
	}

#right{ width:250px;
	text-align: center; 
  overflow: clip;
	}

.ringsection{
    margin: 8px;
}

.banner{
    background-image: url("images/bg_daisy2.gif");
    /*border-top: #ff6faf solid 3px; 
    border-bottom: #ff6faf solid 3px;*/
    color: inherit;
    font-size: 1.5em;
    font-family: "GoodDog";
    padding: 2.5px 5px;
    box-shadow: -1px -1.4px 1px inset #9e9699, 2px 3px 1.5px inset white, 0px 0px 2px #aba4a6
	}
#right .banner{ padding-top: 5px; 
	padding-bottom: 3.5px;
	}
.banner p{ margin: 0; }

.navhead {
    padding-left: 5px;
    padding-bottom: 2.5px;
	}
    
.pageLink, .pageLink a{
    color: inherit;
    text-decoration: none;
	}
.pageLink:hover{
    text-decoration: underline;
    cursor: pointer;
	}

.wip{ color: grey; }
.wip:hover{ text-decoration: line-through; !important
    cursor: pointer;
    }

.diarybox {
     border: black 2px solid;
     border-radius: 10px;
     padding: 10px;
     margin: 10px auto;
     width: 412px;
	}     

.memopad {
    width: 100px;
    max-height: 200px;
    }

footer{ text-align: center; 
	margin: auto; 
	}
footer p{ font-size: 0.7em;
	width: 35%;
	margin: 10px auto;
	background-color: rgba(255,255,255,0.75);
	border-radius: 2.5px;
	}

/* floaties */
.floatie{ position: absolute; 
	z-index: 5; 
	}
    
.mandboy{ position: absolute; 
	z-index: 10; 
	}    
    
#yuki{ 
    position: absolute;
    scale: 70%;
    right: -350px;
    bottom: -250px;
	filter: drop-shadow(3px 3px 3px #ff6faf);
    }

#todo{ position: absolute; 
    bottom: -25px;
    left: -30px;
    transform: rotate(-8deg);
    }
#todo img{ width: 200px; 
    filter: drop-shadow(-3px 3px 3px #ff6faf);
    }
#todo #todolist{ z-index: 6;
    position: absolute;
    top: 63px;
    left: 12px;
    width: 90%;
    height: 50%;
    }
#todo p{ margin: 0;
    margin-left: 30px; 
    }
#todo ul{ margin: 0;
    font-family: "Chococooky";
    line-height: 1.5em;
    height: 90%;
    overflow-y: auto;
    list-style-type:"❀ ";
    }
#todopin{ position: absolute; 
    bottom: 221px;
    left: 27px;
    transform: rotate(-8deg);
    z-index: 7;
    } 
#beau{
    position: absolute;
    bottom: -72px;
    left: 114px;
    z-index: 8;
    scale: 88%;
    }

#beau:hover{    
    filter: drop-shadow(1px 1px 2px #ff98ce) 
        drop-shadow(1px 1px 2px #ff8f81)  
        drop-shadow(1px 1px 2px #fff081)  
        drop-shadow(1px 1px 2px #80fe9e)  
        drop-shadow(1px 1px 2px #81fffd)  
        drop-shadow(1px 1px 2px #81cafe)  
        drop-shadow(1px 1px 2px #b081ff) ;
    transition: 0.4s;
    transition-timing-function: linear;
    }    
#ameth{
    position: absolute;
    top: 50px;
    left: 142px;
    }    
#ameth img{
    width:80px;
    }    

#eme{
    position: absolute;
    top: 52px;
    right: 185px;
    }    
#eme img{
    width:60px;
    }   
    
/*SHRINE HUB*/

.doors{
    display: flex;
    flex-flow: row wrap;
    gap: 1.5em;
    margin: 20px 10px;
    justify-content: center;
    }

.shrinedoor{
    width: 150px;
    height: 150px;
    }
.shrinedoor img{
    width: 100%;
    }     
.shrinedoor p{
    margin-top: 5px;
    text-align: center;
    }

#sanxshrine img:hover{
    content: url("images/kutudoor_hover.png");
    }

